Package org.opensaml.soap.soap12

# Interface RelayBearing

All Known Subinterfaces:
  `EncryptedHeader`

All Known Implementing Classes:
  `EncryptedHeaderImpl`

public interface RelayBearing
Interface for element having a `@soap12:relay` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SOAP12_RELAY_ATTR_LOCAL_NAME`
The soap12:@relay attribute local name.
`static final QName`
`SOAP12_RELAY_ATTR_NAME`
The soap12:@relay qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`isSOAP12Relay()`
Get the attribute value.
`XSBooleanValue`
`isSOAP12RelayXSBoolean()`
Get the attribute value.
`void`
`setSOAP12Relay(Boolean newRelay)`
Set the attribute value.
`void`
`setSOAP12Relay(XSBooleanValue newRelay)`
Set the attribute value.

## Field Details

### SOAP12_RELAY_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String SOAP12_RELAY_ATTR_LOCAL_NAME
The soap12:@relay attribute local name.

See Also:
  - Constant Field Values

### SOAP12_RELAY_ATTR_NAME

@Nonnull static final QName SOAP12_RELAY_ATTR_NAME
The soap12:@relay qualified attribute name.

## Method Details

### isSOAP12Relay

@Nullable Boolean isSOAP12Relay()
Get the attribute value.

Returns:
  return the attribute vlue

### isSOAP12RelayXSBoolean

@Nullable XSBooleanValue isSOAP12RelayXSBoolean()
Get the attribute value.

Returns:
  return the attribute vlue

### setSOAP12Relay

void setSOAP12Relay(@Nullable Boolean newRelay)
Set the attribute value.

Parameters:
  `newRelay` - the new attribute value

### setSOAP12Relay

void setSOAP12Relay(@Nullable XSBooleanValue newRelay)
Set the attribute value.

Parameters:
  `newRelay` - the new attribute value